### Method

# Vte Terminal set_scrollback_lines

#### Declaration [src]

    void
    vte_terminal_set_scrollback_lines (
      VteTerminal* terminal,
      glong lines
    )

#### Description [src]

Sets the length of the scrollback buffer used by the terminal. The size of the scrollback buffer will be set to the larger of this value and the number of visible rows the widget can display, so 0 can safely be used to disable scrollback.

A negative value means “infinite scrollback”.

Using a large scrollback buffer (roughly 1M+ lines) may lead to performance degradation or exhaustion of system resources, and is therefore not recommended.

Note that this setting only affects the normal screen buffer. No scrollback is allowed on the alternate screen buffer.

Sets property | `Vte.Terminal:scrollback-lines`

#### Parameters

`lines`

  Type: `glong`

  The length of the history buffer.